﻿local FRename3 = {}

function FRename3.ID()
  return "A88BA05B-F468-4E00-8FD0-614F4C7750E5"
end

function FRename3.Installed()
  return Plugin.Exists(FRename3.ID())
end

function FRename3.Loaded()
  return far.IsPluginLoaded(FRename3.ID())
end

-- Start the plugin directly from the active panel, as if using F11
function FRename3.ExecutePanel()
  return Plugin.Call(FRename3.ID(), "panel")
end

-- Start the plugin using a filelist. Only filenames without paths are
-- supported.
function FRename3.ExecuteFiles(directory, filelist)
  return Plugin.Call(FRename3.ID(), "files", directory, filelist);
end

-- Check whether the current editor is FRename's editor
function FRename3.IsMyEditor()
  return Plugin.Call(FRename3.ID(), "iseditor");
end

-- In editor, move the cursor to the destination filename
function FRename3.CursorToFileName()
  return Plugin.Call(FRename3.ID(), "cursortofilename");
end

-- In editor, select the destination filename
function FRename3.SelectFileNames()
  return Plugin.Call(FRename3.ID(), "selectfilenames");
end



-- Usage demonstrations

function FRename3.DemoExecutePanel()
  return FRename3.ExecutePanel();
end

function FRename3.DemoExecuteFiles()
  files = {"a.txt", "b.txt"};
  files = table.concat(files, "\n"); -- required by LuaMacro, not FRename3
  return FRename3.ExecuteFiles("c:\\somedir", files);
end

function FRename3.DemoIsMyEditor()
  if FRename3.IsMyEditor() then
    far.Message("This is a FRename3 editor","", 0);
  else
    far.Message("This is not a FRename3 editor","", 0);
  end
end

function FRename3.DemoCursorToFileName()
  FRename3.CursorToFileName();
end

function FRename3.DemoSelectFileNames()
  FRename3.SelectFileNames();
end

-- Macro

Macro
{
  description = "FRename3";
  area = "Shell Editor";
  key = "CtrlAltShiftF7";
  action = function()
    return FRename3.DemoExecutePanel();
  end;
}
