unit uOptions;
{$INCLUDE 'FRename3.inc'}

interface

uses
  {$INCLUDE 'DelphiFarUnits.inc'} ,
  SysUtils;

type
  TOptions = class(TFarConfig)
  private
    fTinyHelp: boolean;
    fSelectRenamedFiles: boolean;
  protected
  public
    constructor Create;
    destructor Destroy; override;
    procedure Init;
    procedure Load;
    procedure Save;
    procedure Assign(Options: TOptions);
    property TinyHelp: boolean read fTinyHelp write fTinyHelp;
    property SelectRenamedFiles: boolean read fSelectRenamedFiles write fSelectRenamedFiles;
  end;

implementation

uses
  uMessages;

{ TOptions }

procedure TOptions.Assign(Options: TOptions);
begin
  TinyHelp := Options.TinyHelp;
  SelectRenamedFiles := Options.SelectRenamedFiles;
end;

constructor TOptions.Create;
begin
  inherited Create('FRename3', False);
  Init;
end;

destructor TOptions.Destroy;
begin
  inherited;
end;

procedure TOptions.Init;
begin
  TinyHelp := False;
  SelectRenamedFiles := False;
end;

procedure TOptions.Load;
begin
  if Open then
    try
      TinyHelp := ReadBoolean('TinyHelp', TinyHelp);
      SelectRenamedFiles := ReadBoolean('SelectRenamedFiles', SelectRenamedFiles);
    finally
      Close;
    end;
end;

procedure TOptions.Save;
begin
  if Open then
    try
      WriteBoolean('TinyHelp', TinyHelp);
      WriteBoolean('SelectRenamedFiles', SelectRenamedFiles);
    finally
      Close;
    end;
end;

end.
